[PC-BSD Commits] r13499 - pcbsd/current/build-files/base-ports/VirtualBoxGuest
svn at pcbsd.org
svn at pcbsd.org
Mon Oct 24 13:40:06 PDT 2011
Author: kris
Date: 2011-10-24 13:40:06 -0700 (Mon, 24 Oct 2011)
New Revision: 13499
Modified:
pcbsd/current/build-files/base-ports/VirtualBoxGuest/post-install.sh
pcbsd/current/build-files/base-ports/VirtualBoxGuest/post-remove.sh
Log:
Load vboxguest modules from rc.conf service instead of just module
Modified: pcbsd/current/build-files/base-ports/VirtualBoxGuest/post-install.sh
===================================================================
--- pcbsd/current/build-files/base-ports/VirtualBoxGuest/post-install.sh 2011-10-24 20:11:55 UTC (rev 13498)
+++ pcbsd/current/build-files/base-ports/VirtualBoxGuest/post-install.sh 2011-10-24 20:40:06 UTC (rev 13499)
@@ -1,7 +1,11 @@
#!/bin/sh
# Enable loading the vboxguest binary driver
-grep '^vboxguest_load="YES"' /boot/loader.conf >/dev/null 2>/dev/null
+grep '^vboxguest_enable="YES"' /etc/rc.conf >/dev/null 2>/dev/null
if [ $? -ne 0 ] ; then
- echo 'vboxguest_load="YES"' >>/boot/loader.conf
+ echo 'vboxguest_enable="YES"' >>/etc/rc.conf
fi
+grep '^vboxservice_enable="YES"' /etc/rc.conf >/dev/null 2>/dev/null
+if [ $? -ne 0 ] ; then
+ echo 'vboxservice_enable="YES"' >>/etc/rc.conf
+fi
Modified: pcbsd/current/build-files/base-ports/VirtualBoxGuest/post-remove.sh
===================================================================
--- pcbsd/current/build-files/base-ports/VirtualBoxGuest/post-remove.sh 2011-10-24 20:11:55 UTC (rev 13498)
+++ pcbsd/current/build-files/base-ports/VirtualBoxGuest/post-remove.sh 2011-10-24 20:40:06 UTC (rev 13499)
@@ -1,7 +1,11 @@
#!/bin/sh
# Enable loading the vboxguest binary driver
-grep '^vboxguest_load="YES"' /boot/loader.conf >/dev/null 2>/dev/null
+grep '^vboxguest_enable="YES"' /etc/rc.conf >/dev/null 2>/dev/null
if [ $? -eq 0 ] ; then
- sed -i .bak '/vboxguest_load="YES"/d' /boot/loader.conf
+ sed -i .bak '/vboxguest_enable="YES"/d' /etc/rc.conf
fi
+grep '^vboxservice_enable="YES"' /etc/rc.conf >/dev/null 2>/dev/null
+if [ $? -eq 0 ] ; then
+ sed -i .bak '/vboxservice_enable="YES"/d' /etc/rc.conf
+fi
More information about the Commits
mailing list